Update Policy
curl --request PUT \
--url https://api.example.com/cabinet/admin/rbac/policies/{policy_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"role_id": 123,
"priority": 500,
"effect": "<string>",
"conditions": {},
"resource": "<string>",
"actions": [
"<string>"
],
"is_active": true
}
'import requests
url = "https://api.example.com/cabinet/admin/rbac/policies/{policy_id}"
payload = {
"name": "<string>",
"description": "<string>",
"role_id": 123,
"priority": 500,
"effect": "<string>",
"conditions": {},
"resource": "<string>",
"actions": ["<string>"],
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
role_id: 123,
priority: 500,
effect: '<string>',
conditions: {},
resource: '<string>',
actions: ['<string>'],
is_active: true
})
};
fetch('https://api.example.com/cabinet/admin/rbac/policies/{policy_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"priority": 123,
"effect": "<string>",
"resource": "<string>",
"is_active": true,
"description": "<string>",
"role_id": 123,
"role_name": "<string>",
"conditions": {},
"actions": [
"<string>"
],
"created_by": 123,
"created_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Admin RBAC Policies
Update Policy
Update an existing access policy.
PUT
/
cabinet
/
admin
/
rbac
/
policies
/
{policy_id}
Update Policy
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Update policy fields (all optional).
Required string length:
1 - 200Required range:
0 <= x <= 1000Pattern:
^(allow|deny)$Required string length:
1 - 100Response
Successful Response
Access policy response.
⌘I
